public class CodeTracing {

    /* This program illustrates how array referencing works in Java. */
    public static void main(String[] args) {
        // Initialize two arrays.
        int[] a = new int[4];
        int[] b = new int[4];

        // Check for equality.
        System.out.print("Check number 1: ");
        System.out.println(a == b);

        // Assign array a to variable b.
        // Check for equality again.
        b = a;
        System.out.print("Check number 2: ");
        System.out.println(a == b);

        // Assign 125 to a[2].
        // Check if this affects b[2].
        a[2] = 125;
        System.out.println("a[2] = " + a[2]); // this is 100
        System.out.println("b[2] = " + b[2]); // is this 0 or 100?
        
        // Initialize b again.
        // Check how this affects b[2].
        b = new int[5];
        System.out.println("a[2] = " + a[2]); // this is 100
        System.out.println("b[2] = " + b[2]); // is this 0 or 100?
    }
}
